var mongoose = require('mongoose');
var Schema = mongoose.Schema;

const BookSchema = mongoose.Schema({
    title: {typr :String},
    grade: { type: Number },
    major: { type: String},
    type: { type: String},
    src: { type: String},
    seller :[{
        seller_id: { type: String},
        on_transaction : {type: Boolean}
    }],
    
    stock: {type: Number}
});

BookSchema.statics.create = function(Book_info) {
    const {
        title,
        grade,
        major,
        type,
        src,
    } = Book_info;


    const Book = new this({
        title,
        grade,
        major,
        type,
        src,
    })
    // return the Promise
    return Book.save()
}

module.exports = mongoose.model('Book', BookSchema);